| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
MagCalibration Struct Reference

`#include <magnetic.h>`

Collaboration diagram for MagCalibration:

## Data Fields
float | fV [3]
float | finvW [3][3]
float | fB
float | fFourBsq
float | fFitErrorpc
float | ftrV [3]
float | ftrinvW [3][3]
float | ftrB
float | ftrFitErrorpc
float | fA [3][3]
float | finvA [3][3]
float | fmatA [10][10]
float | fmatB [10][10]
float | fvecA [10]
float | fvecB [4]
int8 | iCalInProgress
int8 | iMagCalHasRun
int8 | iValidMagCal

## Detailed Description

Definition at line 42 of file magnetic.h.

## Field Documentation

float fA[3][3]

Definition at line 53 of file magnetic.h.

Referenced by fUpdateCalibration10EIG(), and fUpdateCalibration7EIG().

float fB

Definition at line 46 of file magnetic.h.

Referenced by fInitMagCalibration(), fRun_9DOF_GBY_KALMAN(), and fRunMagCalibration().

float fFitErrorpc

Definition at line 48 of file magnetic.h.

Referenced by fInitMagCalibration(), and fRunMagCalibration().

float fFourBsq

Definition at line 47 of file magnetic.h.

Referenced by fInitMagCalibration(), fRun_9DOF_GBY_KALMAN(), and fRunMagCalibration().

float finvA[3][3]

Definition at line 54 of file magnetic.h.

Referenced by fUpdateCalibration10EIG().

float finvW[3][3]

Definition at line 45 of file magnetic.h.

Referenced by fInitMagCalibration(), fInvertMagCal(), and fRunMagCalibration().

float fmatA[10][10]

Definition at line 55 of file magnetic.h.

Referenced by fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

float fmatB[10][10]

Definition at line 56 of file magnetic.h.

Referenced by fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

float ftrB

Definition at line 51 of file magnetic.h.

Referenced by fRunMagCalibration(), fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

float ftrFitErrorpc

Definition at line 52 of file magnetic.h.

Referenced by fRunMagCalibration(), fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

float ftrinvW[3][3]

Definition at line 50 of file magnetic.h.

Referenced by fRunMagCalibration(), fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

float ftrV[3]

Definition at line 49 of file magnetic.h.

Referenced by fRunMagCalibration(), fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

float fV[3]

Definition at line 44 of file magnetic.h.

Referenced by fInitMagCalibration(), fInvertMagCal(), and fRunMagCalibration().

float fvecA[10]

Definition at line 57 of file magnetic.h.

Referenced by fUpdateCalibration10EIG(), fUpdateCalibration4INV(), and fUpdateCalibration7EIG().

float fvecB[4]

Definition at line 58 of file magnetic.h.

Referenced by fUpdateCalibration4INV().

int8 iCalInProgress

Definition at line 59 of file magnetic.h.

Referenced by fInitMagCalibration(), fRunMagCalibration(), and Fusion_Run().

int8 iMagCalHasRun

Definition at line 60 of file magnetic.h.

Referenced by fInitMagCalibration(), and Fusion_Run().

int8 iValidMagCal

Definition at line 61 of file magnetic.h.

Referenced by fInitMagCalibration(), fRun_9DOF_GBY_KALMAN(), and fRunMagCalibration().

The documentation for this struct was generated from the following file:

- SensorFusion/magnetic.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.